X2Go Bug report logs - #702
X2Go Client / NX proxy window disappear when printing/viewing a CUPS-X2Go print job

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Mon, 15 Dec 2014 12:55:01 UTC

Severity: grave

Tags: pending

Merged with 725

Fixed in version 4.0.3.2

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#702; Package x2goclient. (Mon, 15 Dec 2014 12:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 15 Dec 2014 12:55:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: X2Go Client / NX proxy window disappear when printing/viewing a CUPS-X2Go print job
Date: Mon, 15 Dec 2014 12:53:05 +0000
[Message part 1 (text/plain, inline)]
Package: x2goclient
Severity: grave

Testing with various X2Go Servers (with PostgreSQL / SQLite3 sessions  
DB, with CUPS+X2GoServer on the same machine / on different machines).

Testing on the client-side (Linux only) with X2Go Client / PyHoca-GUI  
(nightly builds as of today).

What I observe with X2Go Client (Linux version):

  o I print something on the server
  o the X2Go Client print dialog pops up
  o I choose my preferred action (print to a printer, view as PDF)
  (a) PDF comes up in a viewer/gets printed, session stays intact (4  
of 10 attempts)
  (b) nothing happens with the print job, X2Go Client / NX proxy  
vanish (no segfault)

Thus, X2Go Client's client-side printing feature is currently not  
reliable, thus not really usable. The crashes are more producible on  
large PDF/print jobs.

It would be good to hear from others that use this feature, as well.  
Does it work for you? Did it work for you? When did it stop working?

I tested this with server-side setups that have been working in the  
past already. Package upgrade + test + see above.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#702; Package x2goclient. (Mon, 15 Dec 2014 15:00:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Klaus Ade Johnstad <klaus@linuxavdelingen.no>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 15 Dec 2014 15:00:02 GMT) Full text and rfc822 format available.

Message #10 received at 702@bugs.x2go.org (full text, mbox):

From: Klaus Ade Johnstad <klaus@linuxavdelingen.no>
To: 702@bugs.x2go.org
Subject: X2Go Client / NX proxy window disappear when printing/viewing a CUPS-X2Go print job
Date: Mon, 15 Dec 2014 15:47:27 +0100
[Message part 1 (text/plain, inline)]
I see this as well. I have just recently started looking at 
x2go-printing, and have no idea when it used to work, if at all.
-- 
Klaus Ade Johnstad
klaus@linuxavdelingen.no
Mobil:938 69 567

67E61D18B2C44F8A3DA35C6D849F9F5F 26FA477D
[signature.asc (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#702; Package x2goclient. (Mon, 15 Dec 2014 15:20:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 15 Dec 2014 15:20:01 GMT) Full text and rfc822 format available.

Message #15 received at 702@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Klaus Ade Johnstad <klaus@linuxavdelingen.no>, 702@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#702: X2Go Client / NX proxy window disappear when printing/viewing a CUPS-X2Go print job
Date: Mon, 15 Dec 2014 15:15:55 +0000
[Message part 1 (text/plain, inline)]
Hi Klaus Ade,

On  Mo 15 Dez 2014 15:47:27 CET, Klaus Ade Johnstad wrote:

> I see this as well. I have just recently started looking at
> x2go-printing, and have no idea when it used to work, if at all.

does it work for you (reliably) with PyHoca-GUI?

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#702; Package x2goclient. (Mon, 15 Dec 2014 16:05:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Klaus Ade Johnstad <klaus@linuxavdelingen.no>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 15 Dec 2014 16:05:02 GMT) Full text and rfc822 format available.

Message #20 received at 702@bugs.x2go.org (full text, mbox):

From: Klaus Ade Johnstad <klaus@linuxavdelingen.no>
To: 702@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#702: X2Go Client / NX proxy window disappear when printing/viewing a CUPS-X2Go print job
Date: Mon, 15 Dec 2014 17:00:12 +0100
[Message part 1 (text/plain, inline)]
Mandag 15. desember 2014 16:15:55 skrev Mike Gabriel:
> does it work for you (reliably) with PyHoca-GUI?
>
> Mike

I'm not able to connect using pyhoca-gui, when I try it just hangs 
(weird ssh keys, another story). 

But I have tried something else. I'm using Wheezy based Debian-live 
running from usb (easy to use the same test-environment), and install 
x2goclient, and there printing kind of works. What happens is that the 
printjob is sent directly to the pdf-viewer on the client, and from 
there I can print the job to a local printer. I do not get any local 
print-dialog. x2goclient does not crash.
-- 
Klaus Ade Johnstad
klaus@linuxavdelingen.no
Mobil:938 69 567

67E61D18B2C44F8A3DA35C6D849F9F5F 26FA477D
[signature.asc (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#702; Package x2goclient. (Tue, 16 Dec 2014 14:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 16 Dec 2014 14:50:02 GMT) Full text and rfc822 format available.

Message #25 received at 702@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Klaus Ade Johnstad <klaus@linuxavdelingen.no>, 702@bugs.x2go.org
Subject: Re: [X2Go-Dev] X2Go Client / NX proxy window disappear when printing/viewing a CUPS-X2Go print job
Date: Tue, 16 Dec 2014 14:45:36 +0000
[Message part 1 (text/plain, inline)]
Hi Klaus Ade,

On  Mo 15 Dez 2014 17:00:12 CET, Klaus Ade Johnstad wrote:

> Mandag 15. desember 2014 16:15:55 skrev Mike Gabriel:
>> does it work for you (reliably) with PyHoca-GUI?
>>
>> Mike
>
> I'm not able to connect using pyhoca-gui, when I try it just hangs
> (weird ssh keys, another story).

:-(

> But I have tried something else. I'm using Wheezy based Debian-live
> running from usb (easy to use the same test-environment), and install
> x2goclient, and there printing kind of works. What happens is that the
> printjob is sent directly to the pdf-viewer on the client, and from
> there I can print the job to a local printer. I do not get any local
> print-dialog. x2goclient does not crash.

Yes, this is true. I only see those crashes, if the print settings  
have that tick box marked, that lets the print settings dialog pop up  
on every incoming print job [1].

Mike

[1] "[x] Show this dialog before start printing"

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#702; Package x2goclient. (Wed, 17 Dec 2014 13:50:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Klaus Ade Johnstad <klaus@linuxavdelingen.no>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 17 Dec 2014 13:50:02 GMT) Full text and rfc822 format available.

Message #30 received at 702@bugs.x2go.org (full text, mbox):

From: Klaus Ade Johnstad <klaus@linuxavdelingen.no>
To: 702@bugs.x2go.org
Subject: more info.
Date: Wed, 17 Dec 2014 14:47:18 +0100
[Message part 1 (text/plain, inline)]
I found out that if i delete $HOME/.x2goclient and $HOME/.x2go, then it 
doesn't crash when printing, from Debian Jessie client on a Debian 
Wheezy server.
-- 
Klaus Ade Johnstad
klaus@linuxavdelingen.no
Mobil:938 69 567

67E61D18B2C44F8A3DA35C6D849F9F5F 26FA477D
[signature.asc (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#702; Package x2goclient. (Wed, 17 Dec 2014 13:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 17 Dec 2014 13:55:01 GMT) Full text and rfc822 format available.

Message #35 received at 702@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Klaus Ade Johnstad <klaus@linuxavdelingen.no>, 702@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#702: more info.
Date: Wed, 17 Dec 2014 13:53:59 +0000
[Message part 1 (text/plain, inline)]
On  Mi 17 Dez 2014 14:47:18 CET, Klaus Ade Johnstad wrote:

> I found out that if i delete $HOME/.x2goclient and $HOME/.x2go, then it
> doesn't crash when printing, from Debian Jessie client on a Debian
> Wheezy server.

Where do you remove these folders?

Removing $HOME/.x2goclient is not such a good idea, as it will remove  
all X2Go Client settings.

Removing $HOME/.x2go is neither a good idea is it will remove all  
client-side cached files. On the server, even worse the outcome is, I  
presume.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#702; Package x2goclient. (Tue, 06 Jan 2015 19:55:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 06 Jan 2015 19:55:02 GMT) Full text and rfc822 format available.

Message #40 received at 702@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 702@bugs.x2go.org
Subject: some debugging on X2Go Client crashes when print dialog is shown
Date: Tue, 06 Jan 2015 20:53:46 +0100
Hi,

I spent a couple of hours debugging #702 today (because I want this issue fixed in Debian jessie).

X2Go Client simply exits cleanly immediately when I click the Print button of the print dialog window.

The issue occurs in this combination of events:

  o print dialog appears on incoming print job
  o it doesn't matter what print action is chosen
    (pdfview, pdfsave, print, etc.)
  o X2Go Client's main window is hidden (e.g.
    via clicking on the tray icon)

Just before I had to leave from work, I probably stumbled over the reason for this behaviour, I guess:

http://stackoverflow.com/questions/5116459/problem-with-hidden-qmainwindow-application-crashes-after-qmessagebox-is-displa

More tomorrow...
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976148

GnuPG Key ID 0x25771B13
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de




Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#702; Package x2goclient. (Wed, 07 Jan 2015 09:35:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 07 Jan 2015 09:35:02 GMT) Full text and rfc822 format available.

Message #45 received at 702@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 702-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 702@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Wed, 7 Jan 2015 10:32:09 +0100 (CET)
tag #702 pending
fixed #702 4.0.3.2
thanks

Hello,

X2Go issue #702 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=3008b2a

The issue will most likely be fixed in src:x2goclient (4.0.3.2).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 3008b2a10fde108810650849522f4d2e76c3b300
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Wed Jan 7 10:31:55 2015 +0100

    Use app.setQuitOnLastWindowClosed(false) for the X2Go Client QtApplication to assure that X2Go Client does not arbitrarily exit during a running session. This fixes X2Go Client crashes that occur when printing via the CUPS-X2Go printing mechanism with activate print dialog popup on incoming print jobs and minimized main window. (Fixes: #702).

diff --git a/debian/changelog b/debian/changelog
index a754d04..ae08442 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -9,6 +9,11 @@ x2goclient (4.0.3.2-0x2go1) UNRELEASED; urgency=medium
   * New upstream release (4.0.3.2):
     - Provide empty Turkish translation file.
     - Add several info/error/debug log message while hunting down #702.
+    - Use app.setQuitOnLastWindowClosed(false) for the X2Go Client QtApplication
+      to assure that X2Go Client does not arbitrarily exit during a running
+      session. This fixes X2Go Client crashes that occur when printing via
+      the CUPS-X2Go printing mechanism with activate print dialog popup on
+      incoming print jobs and minimized main window. (Fixes: #702).
 
   [ Jason Alavaliant ]
   * New upstream verson (4.0.3.2):


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 07 Jan 2015 09:35:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.3.2. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 07 Jan 2015 09:35:02 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#702. (Wed, 07 Jan 2015 09:35:03 GMT) Full text and rfc822 format available.

Merged 702 725 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 725-submit@bugs.x2go.org. (Thu, 08 Jan 2015 22:05:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#702; Package x2goclient. (Thu, 19 Feb 2015 12:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 19 Feb 2015 12:00:05 GMT) Full text and rfc822 format available.

Message #59 received at 702@bugs.x2go.org (full text, mbox):

From: X2Go Release Manager <git-admin@x2go.org>
To: 702-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 702@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Thu, 19 Feb 2015 12:57:58 +0100 (CET)
close #702
thanks

Hello,

we are very hopeful that X2Go issue #702 reported by you
has been resolved in the new release (4.0.3.2) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.3.2)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=3b7ca68412005521d45d9751a370549ab1c80e58;hp=5290218751cc68a1fc1711ebd169e195eb3daeed

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.3.2-0x2go1
Status: RELEASE
Date: Thu, 19 Feb 2015 12:49:22 +0100
Fixes: 616 642 681 702 705 713 720 742 781 782
Changes: 
 x2goclient (4.0.3.2-0x2go1) RELEASED; urgency=medium
 .
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.3.2):
     - Fix placement of session folders in session card column. (Fixes: #681).
     - Send empty message in x2gohelper to stop AppStarting cursor. (Fixes: #616).
     - Fix multiple creations of modmap timer (OS_DARWIN).
 .
   [ Mike Gabriel ]
   * New upstream release (4.0.3.2):
     - Add several info/error/debug log message while hunting down #702.
     - Use app.setQuitOnLastWindowClosed(false) for the X2Go Client QtApplication
       to assure that X2Go Client does not arbitrarily exit during a running
       session. This fixes X2Go Client crashes that occur when printing via
       the CUPS-X2Go printing mechanism with activate print dialog popup on
       incoming print jobs and minimized main window. (Fixes: #702).
     - Be more exact when reporting rev forwarding tunnel request failures to
       the GUI user. Include the purpose of the tunnel (NX, audio, foldersharing)
       in the error message.
     - Enable debugging in sshprocess.cpp and sshmasterconnection.cpp if
       --debug is given.
     - sshmasterconnection.cpp: Fix several grammar issues in error messages.
     - When sharing a client-side folder, do not write the SSH pub key to
       client-side authorized_keys file if the folder-to-be-shared does not
       exist on the client. (Partially solves #405).
     - Fix string concatenation/layout of error message when tunnel I/O errors
       occur.
     - Improve debugging/logging the SSH connections made by X2Go Client.
     - Fix quotes when calling remote commands via SSH (esp. allow same quoting/
       escaping style for libssh and openSSH+Krb based connections). (Fixes: #720).
     - FIXME: Disable PubkeyAuthentication _and_ PasswordAuthentication if
       GSSAPI authentication is activated. This is counter intuitive, though,
       and requires several other fixes in the authentication code.
   * x2goclient.spec:
     - Always set BuildRoot: parameter.
 .
   [ Sergey Savko ]
   * New upstream release (4.0.3.2):
     - Prevent passwordless re-logins into X2Go Session Broker if
       --broker-autologoff is used on the cmdline. (Fixes: #782).
     - Add new cmdline option --broker-noauth-use-session-username.
       When --broker-noauth is used, the broker does not know on behalf
       of which user to operate. This new option enables username syncing.
       When logging into X2Go Server, that username will be sent to the
       broker and be used for querying X2Go Broker Agents etc. (Fixes: #781).
 .
   [ Heinrich Schuchardt ]
   * New upstream release (4.0.3.2):
     - Base the layout dialogue "Session ID" (which shows up when starting a
       connection) on typographic points (instead of pixels). (Fixes: #713).
 .
   [ Jason Alavaliant ]
   * New upstream verson (4.0.3.2):
     - Use QUrl::toPercentEncoding() method to properly encode passwords sent
       to X2Go Session Broker. (Fixes: #705).
 .
   [ Mike DePaulo ]
   * New upstream release (4.0.3.2):
     - Windows: Win32 OpenSSL updates from 1.0.1j to 1.0.1L, which
       fixes the CVEs announced on 2015-01-08.
     - Windows: Cygwin OpenSSL updated from 1.0.1j-1 to 1.0.1k-1, which
       fixes the CVEs announced on 2015-01-08.
     - Windows: Bundle new version of VcXsrv: 1.15.2.2-xp+vc2013+x2go1.
       The differences from 1.15.2.1-xp+vc2013+x2go1 are that its bundled
       OpenSSL has been updated to 1.0.1k, and that xorg-server
       CVE-2014-8091..8103 have been fixed.
     - Windows: Update libssh from 0.6.3 to 0.6.4 (while maintaining
       Pageant support). This fixes CVE-2014-8132, which shouldn't
       affect x2goclient because x2goclient uses the SSH client
       functionality, not the SSH server functionality.
       0.6.4 also added 4 features related to ECDSA keys.
     - Windows: Fix compatibility with PulseAudio 6.0
     - Windows: Remove workaround for audio input with old versions of
       PulseAudio (calling parec once per second)
       (Fixes: #742)
       Thanks George Trakatelis (uom.edu.gr) for submitting this change.
     - Windows: Enable X2Go Client for Windows to build under VS2010 nmake
       (but not the VS2010 IDE due to a Qt4 Visual Studio Add-in limitation)
       Note that the official builds are still build under MinGW.
       (Fixes: #642)
       Thanks George Trakatelis (uom.edu.gr) for submitting this feature.
     - Windows: Make builds easier, and updating bundled dependencies
       easier, by adding copy-deps-win32.bat. It copies the exact
       version of each dependency (DLL, executable, data, folder, etc)
       from x2goclient-contrib.git.
 .
   [ Kaan Ozdincer ]
   * New upstream version (4.0.3.2):
     - Add Turkish translation file.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Thu, 19 Feb 2015 12:00:20 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Thu, 19 Feb 2015 12:00:20 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#702. (Thu, 19 Feb 2015 12:00:31 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 20 Mar 2015 06:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Apr 23 10:05:12 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.